Summary:	GeoLite IPASNum - IP to AS number translation database for GeoIP
Summary(pl.UTF-8):	GeoLite IPASNum - baza danych tłumaczeń adresów IP na numery AS dla GeoIP
Name:		GeoIP-db-IPASNum
# Updated every month:
Version:	2017.01.21
Release:	1
License:	CC 3.0 BY-SA
Group:		Applications/Databases
Source0:	http://download.maxmind.com/download/geoip/database/asnum/GeoIPASNum.dat.gz?/GeoIPASNum-%{version}.dat.gz
# Source0-md5:	320c64389b64b5d4231bfa72e579acde
URL:		http://dev.maxmind.com/geoip/legacy/geolite/
Requires:	GeoIP-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains IPv4 to AS number translation database for
GeoIP.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
Ten pakiet zawiera bazę danych tłumaczeń adresów IPv4 na numery AS dla
GeoIP.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxMind, dostępne z <http://www.maxmind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} GeoIPASNum.dat.gz
gunzip GeoIPASNum.dat.gz

ver=$(TZ=GMT stat -c '%y' GeoIPASNum.dat | awk '{print $1}' | tr - .)
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoIPASNum.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/GeoIP/*.dat
%changelog
* Mon Jan 23 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GeoIP-db-IPASNum.git;a=log;h=master

* Sat Jan 21 2017 Elan Ruusamäe <glen@delfi.ee> 435232e
- updated to 2017.01.21

* Sat Jan 14 2017 Elan Ruusamäe <glen@delfi.ee> b59af60
- updated to 2017.01.14

* Fri Jan 13 2017 Elan Ruusamäe <glen@delfi.ee> d323539
- updated to 2017.01.07

* Thu Jan 12 2017 Elan Ruusamäe <glen@delfi.ee> cebbb57
- updated to 2017.01.12

* Sat Jan 07 2017 Elan Ruusamäe <glen@delfi.ee> 31eac88
- updated to 2017.01.07

* Sun Jan 01 2017 Elan Ruusamäe <glen@delfi.ee> c92e5f6
- updated to 2017.01.01

* Sat Dec 24 2016 Elan Ruusamäe <glen@delfi.ee> 3f04ecc
- updated to 2016.12.24

* Sat Dec 17 2016 Elan Ruusamäe <glen@delfi.ee> eaf9ec8
- updated to 2016.12.17

* Sat Dec 10 2016 Elan Ruusamäe <glen@delfi.ee> f79bc31
- updated to 2016.12.10

* Sat Dec 03 2016 Elan Ruusamäe <glen@delfi.ee> f39fda9
- updated to 2016.12.03

* Sat Nov 26 2016 Elan Ruusamäe <glen@delfi.ee> ee8592d
- updated to 2016.11.26

* Mon Nov 21 2016 Elan Ruusamäe <glen@delfi.ee> ab77892
- updated to 2016.11.21

* Sun Nov 20 2016 Elan Ruusamäe <glen@delfi.ee> 962a4ef
- updated to 2016.11.20

* Sun Nov 06 2016 Elan Ruusamäe <glen@delfi.ee> d4cfed5
- updated to 2016.11.06

* Sun Oct 30 2016 Elan Ruusamäe <glen@delfi.ee> 7fb5e6f
- updated to 2016.10.30

* Sun Oct 23 2016 Elan Ruusamäe <glen@delfi.ee> 9a8a8ca
- updated to 2016.10.23

* Wed Oct 19 2016 Elan Ruusamäe <glen@delfi.ee> 1c35765
- updated to 2016.10.19

* Sun Oct 16 2016 Elan Ruusamäe <glen@delfi.ee> d61a6aa
- updated to 2016.10.16

* Thu Oct 13 2016 Elan Ruusamäe <glen@delfi.ee> b689263
- updated to 2016.10.13

* Wed Oct 12 2016 Elan Ruusamäe <glen@delfi.ee> d772a9d
- updated to 2016.10.12

